Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxOsServices.h File Reference this file contains the API of the IXP425 OS Services (IxOsServices) API component More... Go to the source code of this file.
## Typedefs
typedef int | IX_IRQ_STATUS
| Defines flag to indicate IRQ status.
typedef SEM_ID | IxMutex
| Mutex object.
typedef SEM_ID | IxFastMutex
| Fast mutex object.
## Enumerations
enum | IxOsServTraceLevels { LOG_NONE, LOG_USER, LOG_FATAL, LOG_ERROR, LOG_WARNING, LOG_MESSAGE, LOG_DEBUG1, LOG_DEBUG2, LOG_DEBUG3, LOG_ALL }
| Trace levels. More...
## Functions
PUBLIC IX_STATUS | ixOsServIntBind (int level, void(*routine)(void *), void *parameter)
| binds a routine to a hardware interrupt
PUBLIC IX_STATUS | ixOsServIntUnbind (int level)
| unbinds a routine from a hardware interrupt
PUBLIC int | ixOsServIntLock (void)
| locks out IRQs
PUBLIC void | ixOsServIntUnlock (int lockKey)
| unlocks IRQs
PUBLIC int | ixOsServIntLevelSet (int level)
| sets the interrupt level
PUBLIC IX_STATUS | ixOsServMutexInit (IxMutex *mutex)
| initializes a mutex
PUBLIC IX_STATUS | ixOsServMutexLock (IxMutex *mutex)
| locks the given mutex
PUBLIC IX_STATUS | ixOsServMutexUnlock (IxMutex *mutex)
| unlocks the given mutex
PUBLIC IX_STATUS | ixOsServMutexDestroy (IxMutex *mutex)
| destroys a mutex object
PUBLIC IX_STATUS | ixOsServFastMutexInit (IxFastMutex *mutex)
| initializes a fast mutex
PUBLIC IX_STATUS | ixOsServFastMutexTryLock (IxFastMutex *mutex)
| attempts to lock the fast mutex object
PUBLIC IX_STATUS | ixOsServFastMutexUnlock (IxFastMutex *mutex)
| unlocks the fast mutex object
PUBLIC int | ixOsServLog (int level, char *format, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6)
| logs a formatted message
PUBLIC int | ixOsServLogLevelSet (int level)
| sets the logging level
PUBLIC void | ixOsServSleep (int microseconds)
| execution block for a number of microseconds
PUBLIC void | ixOsServTaskSleep (int milliseconds)
| preemptive execution block for a number of milliseconds
PUBLIC unsigned int | ixOsServTimestampGet (void)
| used to retrieve the system timestamp
PUBLIC void | ixOsServUnload (void)
| Used to un-map memory.
PUBLIC void | ixOsServYield (void)
| Yields execution of the current thread.
## Detailed Description this file contains the API of the IXP425 OS Services (IxOsServices) API component Version: Revision 1.25 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxOsServices.h.
Automatically generated from sources. © Intel Corp. 2003